import request from '@/utils/request'

//验证码
export const getCaptcha = () => request({
  url: '/api/blade-auth/oauth/captcha',
  method: 'get'
});
// 用户登录
export function login(username,password,tenantId,type,code,key) {
  return request({
    url: '/api/blade-auth/oauth/token',
    method: 'post',
    headers: {
      'Tenant-Id': tenantId,
      'Captcha-Key': key,
      'Captcha-Code': code,
    },
    params:{
      tenantId,
      username,
      password,
      type,
      grant_type: 'captcha',
      scope: 'all',
    }
  })
}

// 获取当前用户信息
export function getInfo() {
  return request({
    url: '/api/permission/Users/CurrentUser',
    method: 'get',
  })
}

// 退出登录
export function logout() {
  return request({
    url: '/api/oauth/Logout',
    method: 'get'
  })
}

// 锁屏解锁登录
export function unlock(data) {
  return request({
    url: '/api/oauth/LockScreen',
    method: 'post',
    data
  })
}
