export default {
  start: {
    type: "start",
    content: "所有人",
    properties: {
      title: '发起节点',
      hasInitFunc: false,
      initInterfaceUrl: '',
      initInterfaceType: 'GET',
      hasEndFunc: false,
      endInterfaceUrl: '',
      endInterfaceType: 'GET',
      hasFlowRecallFunc: false,
      flowRecallInterfaceUrl: '',
      initiator: [],
      initiatePos: [],
      initiateRole: [],
      formOperates: []
    }
  },
  approver: {
    type: "approver",
    content: "请设置审批人",
    properties: {
      title: '审批节点'
    }
  },
  copy: {
    type: 'copy',
    content: '请设置抄送人',
    properties: {
      title: '抄送人',
      circulateRole: [],   // 抄送角色集合
      circulatePosition: [],   // 抄送岗位集合
      circulateUser: []  // 抄送人集合
    }
  },

  serviceTask: {
    type: 'serviceTask',
    content: '请设置Java类',
    properties: {
      title: '业务编排节点',
      serviceClassName: "" //调用的Java类
    }
  },

  httpTask: {
    type: 'httpTask',
    content: '请设置Http信息',
    properties: {
      title: '请求编排节点',
      requestMethodCode: 0,  //调用的Java类
      requestURL: "", //请求URL
      requestBody: "", //请求体
      requestHeaders: "",//请求头
      requestConnectionTimeOut: 10000 //请求超时时间
    }
  },

  scriptTask: {
    type: 'scriptTask',
    content: '请设置脚本信息',
    properties: {
      title: '脚本编排节点',
      scriptFormat: 1, //脚本类型
      scriptContent:"" //脚本内容
    }
  },

  shellTask: {
    type: 'shellTask',
    content: '请设置shell信息',
    properties: {
      title: '运维编排节点',
      command: "", //shell脚本内容
      waitShellFlag: true, //是否等待shell脚本执行完成
      shellDirectory: "" //脚本在哪个目录执行
    }
  },

  timer: {
    type: 'timer',
    content: '请设置时间',
    properties: {
      title: '定时器',
      day: 0,
      hour: 0,
      minute: 0,
      second: 0
    }
  },

  mail: {
    type: 'mail',
    content: '请设置邮件信息',
    properties: {
      title: '邮件信息节点',
      to: [], //收件人集合
      from: "",//发件人()
      subject: "", //主题
      cc:[],//抄送人
      bcc:[],//密送人
      html:"",//抄送内容
      fileList: [] //文件列表
    }
  },
  //站内信节点
  zhan: {
    type: 'zhan',
    content: '请设置站内信信息',
    properties: {
      title: '站内信节点',
      to: [], //发送给哪些人
      notifyContent: "", //站内信信息
      processFlag: false //是否需要将流程信息发送给这些人
    }
  },

  ding: {
    type: 'ding',
    content: '请设置钉钉信息',
    properties: {
      title: '钉钉节点',
      to: [], //发送给哪些人
      notifyContent: "", //站内信信息
      processFlag: false //是否需要将流程信息发送给这些人
    }
  },

  wx: {
    type: 'wx',
    content: '请设置微信信息',
    properties: {
      title: '微信节点',
      to: [], //发送给哪些人
      notifyContent: "", //站内信信息
      processFlag: false //是否需要将流程信息发送给这些人
    }
  },

  dx: {
    type: 'dx',
    content: '请设置短信信息',
    properties: {
      title: '短信节点',
      to: [], //发送给哪些人
      notifyContent: "", //站内信信息
      processFlag: false //是否需要将流程信息发送给这些人
    }
  },



  subFlow: {
    type: 'subFlow',
    content: '请设置发起人',
    properties: {
      title: '子流程'
    }
  },
  interflow: {
    type: "approver",
    content: "请设置审批人",
    isInterflow: true,
    properties: {
      title: '审批节点'
    }
  },
  condition: {
    type: "condition",
    content: "请设置条件",
    properties: {
      title: '条件',
      conditions: [],
      initiator: null
    }
  },
  branch: {
    type: "branch",
    content: "",
    properties: {}
  },
  empty: {
    type: "empty",
    content: "",
    properties: {}
  }
}
